<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional //EN ">
<html>
 <head>
 <title>FreeRealty documentation</title>
 </head>
 <body>
 <h1> Welcome to FreeRealty 2.8.4</h1>
 Beginning with this version (2.8.4) additional documentation is being added in an attempt to 
 make use of this project easier. Several different types of installations will be covered in 
 this document. Since this is a fork of Jon Roig's version 2.6 OpenRealty 
 <a href="http://www.jonroig.com">(here)</a> we will first cover installing over the top of 
 OpenRealty 2.6. If you are starting from scratch you can skip to the 
 <a href="#clean">new install instructions</a> 
 <ol>Upgrade from OpenRealty 2.6- assuming a clean 2.6 install
   <li>Use the <a href="../admin/upgradasaurus2.7.php" target="_blank">upgradasaurus2.7.php</a> file.
   This file upgrades your database from the 2.6 version setting up new tables to make use of 
   Tom Anderson's feature code. It does this by first inserting the new tables into the current
   database, modifying each listing to use the new features, then dropping the old tables.
   The features are editable using /admin/adminfeatures.php. It also sets up the tbl_Files for thumbnails as well as agent_tbl_Files.
   <li>To use the new thumbnail features for previewing the homes you will need to convert the 
   existing images in the db by running <a href="../admin/convert.php" target="_blank">
   /admin/convert.php</a>
   This file modifies the database by pulling images for each listing, creating a thumbnail view
   and inserting that back into the database. <a href="../admin/convert_agent.php" target="_blank">
   /admin/convert_agent.php</a> should be run to convert the agent images and add the thumbnails.
   <li>Note that the thumbnail creation should work 'out of the box'

   <li>Files changed: Nearly every file has had changes, please consult the patch files and CHANGELOG to 
   determine whether the changes are trivial for your installation.
   

   
 </ol>

 



 <a name="clean">
 <h2>Clean Install</h2>
  <ol> By far the 'easiest' install.
   <li>Download the latest file eg. FR-2.8.4.zip
   <li>Change to the desired directory eg /var/www
   <li>Unpack the file #unzip FR-2.8.4.zip will unpack to /var/www/FR-2.8.4/
    <ul>
    <li>This allows you to play until you 'get it right' as a previous version would be in 
    /var/www/FR-2.8.2 /var/www/FR-2.8.3 ,etc.
   </ul>
   <li>Set up the database. This involves creating the database and setting up a user/password 
   combination. How you do that will depend on your host.
    <ul><li>FreeRealty only uses MySQL.
    </ul>
   <li>Edit common.php. Hopefully most lines are self explanatory.
    <ul>
    <li>Make sure to properly set the $install_path variable. This allows the automatic inclusion of files in /includes
    <li>Set the user name and password for the database
    <li>If you are using a 'sub' database ie your host will only allow you a single MySQL
    database, set the $table_prefix variable. This allows you to do multiple installs on the 
    same database. For instance assume you have a database named web_data, setting the 
    table_prefix to 'realty' creates the following tables in web_data: realtyhomes, 
    realtytbl_Files, realtyagents, etc.
    <li>Unless you want people to just add agents without your control set $require_admin = 'y'
    </ul>
   <li>Edit index.php and content/main.php to give the desired content.
   <li>Edit includes/thumbnail.php for the image library you have installed on the server.
   By default the GD libraries are set. If you have either the NetPBM or ImageMagick libraries
   set the image_style variable to use the other library. (ImageMagick and NetPBM create awesome
   looking thumbnails compared to GD1)
   <li>Run <a href="../admin/configurator.php" target="_blank">/admin/configurator.php</a>
   to set up the database.
   <li>(optional)Rename the folder to freerealty or whatever you want(just make sure the 
   install_path variable is set right in common.php)
   <li>You should now be able to upload properties, add agents, etc. by logging into 
   <a href="../admin/admin.php" target="_blank">/admin/admin.php</a>
   
   <li>email me at freerealty (at) rwcinc.net to let me know if you found this script useful
   </ol>
   
   
   Unfortunately, creating the database is beyond the scope of this 
   script. 

 
 <body>
</html>
